<?php 
/** 
 * The shotcode functions
**/

/*
* Button
*/

function awesome_button_shortcode( $atts, $content = null )
{
    extract( shortcode_atts( array(
      'color' => '',
      'size' => '',
	  'url' => '#',
      ), $atts ) );
 
      return '<a href="' .  $url . '" class="button ' . $size . ' ' .  $color . '">' . $content . '</a>';
 
}
add_shortcode('button', 'awesome_button_shortcode');

/*
* Box
*/

// Grid 4 Columns
function awesome_grid_shortcode( $atts, $content = null )
{
    extract( shortcode_atts( array(
      'size' => 'grid-4-column',
      ), $atts ) );
      return '<div class="' . $size . '">' . $content . '</div>';
 
}
add_shortcode('grid4', 'awesome_grid_shortcode');

// Grid 3 Columns
function awesome_grid3_shortcode( $atts, $content = null )
{
    extract( shortcode_atts( array(
      'size' => 'grid-3-column',
      ), $atts ) );
      return '<div class="' . $size . '">' . $content . '</div>';
 
}
add_shortcode('grid3', 'awesome_grid3_shortcode');

// Grid 2 Columns
function awesome_grid2_shortcode( $atts, $content = null )
{
    extract( shortcode_atts( array(
      'size' => 'grid-2-column',
      ), $atts ) );
      return '<div class="' . $size . '">' . $content . '</div>';
 
}
add_shortcode('grid2', 'awesome_grid3_shortcode');

/*
* List
*/